#version 330

layout(location=0) in vec4 position;
layout(location=1) in vec3 color;
layout(location=2) in mat4 axisTransform;

out vec3 fColor;

uniform mat4 fullTransformMatrix;

void main()
{
        fColor = color;
        gl_Position = fullTransformMatrix * axisTransform * (position + vec4(1,0,0,0));
}
